+ Add Question

Upgrade and now can't use program. . .

LT

I just upgraded my version of Todoist and now it tells me I am dont have a current enough version of my Mac operating system to use it. It is unopenable. How do I get back to what I had before so I can use it again soon? Help!

All responses

Enric Enrich staff
Replied on Aug 15, 2014 - 21:47 UTC

Hi Lee!

First of all, I'm really sorry for the inconveniences. We have fixed this issue and you can download the version 4.5.1 from this link. I recommend uninstall the new update before download this one.

https://d2dq6e731uoz0t.cloudfront.net/3334959e6780bf9ff7dbe8fc936e0700/as/Todoist.app.zip

The new version of the Mac app is only available for OS X 10.9+, so now, if you don't have this version of the system it will not notify you about the update.

Please, let me know if it works for you! :-)

Regards,
Enric

LT
Lee Tomlinson premium
Replied on Aug 16, 2014 - 16:12 UTC

Thanks Enric.

I have a Mac and am an idiot when it comes to such things. How do I uninstall the earlier version so I can reinstall the new?